StaticLibraryBinarySpec (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.nativeplatform

## [Java] Interface StaticLibraryBinarySpec

- org.gradle.nativeplatform.NativeBinarySpec

- All Superinterfaces:
    ModelElement, NativeLibraryBinarySpec, BinarySpec, Named, LibraryBinarySpec, Buildable, BuildableComponentSpec, ComponentSpec, NativeBinarySpec

  A static library binary built by Gradle for a native library.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `StaticLibraryBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `additionalLinkFiles(FileCollection files)` Add some additional files required by consumers of this library at link time.
    `File` | `getStaticLibraryFile()` The static library file.
    `StaticLibraryBinarySpec.TasksCollection` | `getTasks()` {@inheritDoc}
    `void` | `setStaticLibraryFile(File staticLibraryFile)` The static library binary file.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface NativeLibraryBinarySpec` | `getComponent, getLibrary`
    `interface LibraryBinarySpec` | `getLibrary`
    `interface NativeBinarySpec` | `getAssembler, getBuildType, getComponent, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, getcCompiler, lib`

- - ### Method Detail

    - #### public void additionalLinkFiles(FileCollection files)

      Add some additional files required by consumers of this library at link time.

    - #### public File getStaticLibraryFile()

      The static library file.

    - #### @Override public StaticLibraryBinarySpec.TasksCollection getTasks()

      {@inheritDoc}

    - #### public void setStaticLibraryFile(File staticLibraryFile)

      The static library binary file.